#!/usr/bin/env python
"""
Copyright 2014-2021 by Taxamo

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""
class Buyer_tax_number_schema:
    """NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually."""


    def __init__(self):
        self.swaggerTypes = {
            'buyer_tax_number': 'str',
            'buyer_tax_number_normalized': 'str',
            'buyer_tax_number_valid': 'bool',
            'buyer_tax_number_format_valid': 'bool',
            'tax_number_service': 'str',
            'custom_id': 'str',
            'warnings': 'list[warnings]'

        }


        #Buyer's tax number - EU VAT number for example. If using EU VAT number, it is possible to provide country code in it (e.g. IE1234567X) or simply use billing_country_code field for that. In the first case, if billing_country_code value was provided, it will be overwritten with country code value extracted from VAT number - but only if the VAT has been verified properly.
        self.buyer_tax_number = None # str
        #Buyer's tax number - normalized form.
        self.buyer_tax_number_normalized = None # str
        #If the buyer tax number has been provided and was validated successfully. Always true for domestic transactions (billing country same as merchant's country), tax number doesn't get validated in that case.
        self.buyer_tax_number_valid = None # bool
        #If the buyer tax number has been checked for syntax and is correct. It does not determine if the transaction should be tax deducted.
        self.buyer_tax_number_format_valid = None # bool
        #Tax number service used for validating number
        self.tax_number_service = None # str
        #Buyer tax number custom identifier.
        self.custom_id = None # str
        #Warnings related to contacting B2B validation service.
        self.warnings = None # list[warnings]
        
